; TIP916A.LSP  - AUTOBLOK.LSP   Automate Wblock   (c)1993, Andrew C. Clarey
; Modified 1994-12-03 by Edward Malins (72377,1057)

; AUTOBLOK.lsp Automates the process of creating, writing
; a Block to working drive or directory, and reinserting the
; Block into the drawing and exploding it to its original state. 

; I think that the modified routine below has the advantage of
; not cluttering the drawing with unwanted blocks.
; Edward Malins
; 60, rue de Brsoles, Montral, QC, H2Y 1V5


(defun C:AUTOBLOK (/ CMD N IP SSET)
 (setq CMD (getvar "CMDECHO"))
 (setvar "CMDECHO" 0)
 (setq
  N  (getstring "\nEnter Block Name: ")
  IP (getpoint "\nEnter Insertion Point of Block: ")
 )
 (prompt "\nSelect Objects to Block, Press <Enter> When Done: ")
 (setq SSET (ssget))
 (command
  "WBLOCK" N "" IP SSET ""
  "U"
 )
 (setvar "CMDECHO" CMD)
); end autoblok.lsp
